<?xml version="1.0" encoding="GB2312"?>
<Config>
	<FacesrEnbale>1</FacesrEnbale>
	<PlatformInfo>QUALCOMM</PlatformInfo>
	<UseFaceSR>0</UseFaceSR>
	<UseFaceSRBokeh>1</UseFaceSRBokeh>  <!-- facesr switch for Bokeh -->
	<OneFaceSR>0</OneFaceSR>			<!-- 1:Only one face for FaceSR -->
	<OneScaleT>1.5</OneScaleT>			<!-- The threshold between the first two faces -->
	<MinFaceSize>10</MinFaceSize>  	    <!-- <MinFaceArea>120000</MInFaceArea> -->
	<MaxFaceSize>8000</MaxFaceSize>  	<!-- <MaxFaceArea>1920000</MaxFaceArea> -->
	<FaceRatio>1.334</FaceRatio>
	<MaxFaceTime>1500</MaxFaceTime>
	<ISOLimit>640</ISOLimit>
	<CalcMethod>0</CalcMethod>  		<!-- 0 represents for running on mobiles£»1 represents for running on server-->
	<ipuSubfix>.ms</ipuSubfix>
	<Network2x>idndeblur_5432_26000</Network2x>
	<Weights2x>idndeblur_5432_26000</Weights2x>
	<Network4xLow>idndeblur_5432_26000</Network4xLow>
	<Weights4xLow>idndeblur_5432_26000</Weights4xLow>
	<Network4xHigh>idndeblur_5432_26000</Network4xHigh>
	<Weights4xHigh>idndeblur_5432_26000</Weights4xHigh>
	<TransitionRatio>0.2</TransitionRatio>
	<FacePrejudgeRatio>0.0</FacePrejudgeRatio>
	<DetDarkFace>0</DetDarkFace>
	<TopHistNum>5</TopHistNum>
	<TopAvgThresh>45</TopAvgThresh>

	<useConvertColor>0</useConvertColor>
	<usefaceparsing>1</usefaceparsing>
	<faceParsingNetName>/vendor/etc/camera/semantic/model/human/new_parsing_cache</faceParsingNetName>
	<faceParsingNetInC>3</faceParsingNetInC>
	<faceParsingNetInH>256</faceParsingNetInH>
	<faceParsingNetInW>256</faceParsingNetInW>
	<faceParsingNetOutC>16</faceParsingNetOutC>
	<faceParsingNetOutH>256</faceParsingNetOutH>
	<faceParsingNetOutW>256</faceParsingNetOutW>
	<faceParsingNet>
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 1 stands for NN_DT_FP32, 4 stands for NN_DT_UINT8, 5 stands for NN_DT_INT16, default is 1 -->
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
	</faceParsingNet>
	<pasingNetNeedSubNorm>0</pasingNetNeedSubNorm>
	<useInLandMark>1</useInLandMark>
	<isBypassMultiFace>0</isBypassMultiFace>
	<maxLongEdge>4000</maxLongEdge>
	<maxShortEdge>3000</maxShortEdge>
    <maxIso>3200</maxIso> <!-- MAX iso supportted. when iso > maxIso, network is closed. -->
	<COLOR_NETWORK>
		<ColorFacesrEnable>0</ColorFacesrEnable> <!-- Color Facesr switch, 1 is Enable 0 is Closed -->
	</COLOR_NETWORK>
	<isRgbFaceSrNet>0</isRgbFaceSrNet>
	<isFacesrBypassGPU>1</isFacesrBypassGPU> <!-- Bypass AIX eng for facesrNet -->
	<facesrNet>
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
		<depthToSpaceInCPU>0</depthToSpaceInCPU> <!-- Do depthToSpaceInCPU in CPU, default is 0 output-->
		<spaceToDepthInCPU>0</spaceToDepthInCPU> <!-- Do spaceToDepthInCPU in CPU, default is 1 input-->
		<netInputNorm>0</netInputNorm>
	</facesrNet>
	<superFacesrNet>
		<SuperFacesrEnable>0</SuperFacesrEnable>
		<useNoiseInput>1</useNoiseInput> <!-- net use noise input with superface, default is 0 -->
		<noiseNum>256</noiseNum><!-- superface noise dimension -->
		<netUseParseIn>1</netUseParseIn>
		<parseOneHotCh>9</parseOneHotCh>
		<parseConvert>1</parseConvert>
		<parseOnehot>1</parseOnehot>
		<onlyPortrait>1</onlyPortrait>
		<reproduceMask>1</reproduceMask>
		<blurHairMask>1</blurHairMask>
		<skipMdsr>1</skipMdsr>
		<skipFusionErosion>1</skipFusionErosion>
		<bgUsmsharpen>0</bgUsmsharpen>
		<bgNoiseback>0</bgNoiseback>
		<!-- setting below will modify global setting outside -->
		<maxLongEdge>1500</maxLongEdge>
		<minShortEdge>500</minShortEdge>
		<processBeforeDZ>1</processBeforeDZ>
		<maxFaceAngle>45</maxFaceAngle>
		<ISOLimit>1600</ISOLimit>
		<netName>/odm/etc/camera/cnnmodel/facesr/facesr_superface</netName>
		<tensorBufType>1</tensorBufType>
		<nnUsage>8</nnUsage>
		<tensorDataType>1</tensorDataType>
		<segmentW>256</segmentW>
		<segmentH>256</segmentH>
		<padding>16</padding>
		<ipuSubfix>.ms</ipuSubfix>
	</superFacesrNet>
	<TeleFacesrNet>
		<FacesrTeleEnable>1</FacesrTeleEnable> <!-- Tele Facesr switch, 1 is Enable 0 is Closed -->
		<NetworkNum>2</NetworkNum> <!-- Tele Facesr Num -->
		<zoomTh>10</zoomTh> <!-- Threshold for tele facesr net. When zoom ratio >= zoomTh, 
						     Facesr net is Enabled. zoom < zoomTh, Facesr Net is closed.-->
		<ZoomMaxTh>10</ZoomMaxTh>
		<constrain>
			<constrainLvNum>3</constrainLvNum> <!--num of stages.-->
			<constrainLv0>
				<maxZoomRatio>15</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>600</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv0>
			<constrainLv1>
				<maxZoomRatio>20</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>2600</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv1>
			<constrainLv2>
				<maxZoomRatio>30</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>0</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
				<maxFaceSzSup>3600</maxFaceSzSup> <!-- when faceSize w or h >  maxFaceSzSup, bypass facesr.-->
			</constrainLv2>
		</constrain>
		<network0>
			<netname>/odm/etc/camera/cnnmodel/facesr/facesr_multi</netname>
			<inputC>1</inputC>
			<inputH>512</inputH>
			<inputW>512</inputW>
			<outputC>1</outputC>
			<outputH>512</outputH>
			<outputW>512</outputW>

		</network0>
		<network1>
			<netname>/vendor/etc/camera/cnnmodel/facesr/facesr_v2_net2</netname>
			<inputC>1</inputC>
			<inputH>512</inputH>
			<inputW>512</inputW>
			<outputC>1</outputC>
			<outputH>512</outputH>
			<outputW>512</outputW>
		</network1>
		<faceQlt>
			<enableQlt>1</enableQlt> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
			<FaceQltTh>0.1</FaceQltTh> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
			<FaceQltFaceMaskTh>0.5</FaceQltFaceMaskTh> <!--when FaceQltFaceMaskTh faceQlt from net > FaceQltFaceMaskTh, will run facesr.-->
			<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
			<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
			<tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
		</faceQlt>
	</TeleFacesrNet>
	<blendParams>
		<enable>1</enable>
		<alpha>0.8</alpha>
	</blendParams>
	<usmsharpen>
		<enableUsm>0</enableUsm>
		<radius>5</radius>
		<sigma>5</sigma>
		<amount>200</amount>
		<ThLow>5</ThLow>
		<ThHigh>20</ThHigh>
	</usmsharpen>	
</Config>
